Page MenuHomePhabricator

Unclear difference between "Watch Project" and "Subscribe"
Closed, ResolvedPublic

Description

In project pages there are two options that look pretty similar: "Watch Project" and "Subscribe".

Clicking "Watch Project" you get a dialog:

Watching a project will let you monitor it closely. You will receive email and notifications about changes to every object associated with projects you watch.

Clicking "Subscribe" directly subscribes you, but most users will not know what are they subscribing to, and what is the difference compared to watching a project. Should "Subscribe" also have a dialog with the explanation?

Event Timeline

qgil created this task.Sep 17 2014, 12:57 PM
qgil updated the task description. (Show Details)
qgil raised the priority of this task from to Needs Triage.
qgil added a project: Projects.
qgil updated the task description. (Show Details)
qgil added a subscriber: qgil.
rogozov rescinded a token.
chad triaged this task as Low priority.Sep 20 2014, 7:09 PM
chad added a project: Badge Awarded.
qgil added a comment.Sep 21 2014, 3:18 PM

In the meantime, can someone explain what is the difference?

When an object (like a task) is updated (for example, someone comments on it), all the members of projects related to the object in any way potentially receive a notification.

Project is a...Subscribers Notified?Watchers Notified?
Subscriber Yes Yes
Reviewer Yes Yes
Auditor Yes Yes
Any Other "Primary" Relationship Added In the Future Yes Yes
No primary relationship, object just belongs to project No Yes

For example, suppose task T123 has "Subscribers" @alincoln and #ops. Its "Projects" field is #infrastructure and #hardware.

When someone comments on the task, these users will be notified:

  • @alincoln will be notified, because he is a subscriber.
  • Subscribers to #ops will be notified, because it is a subscriber.
  • Watchers of #infrastructure or #hardware will be notified.

Note that subscribers to #infrastructure and #hardware will not be notified. They are only notified when those projects have a direct/primary relationship with an object.

qgil added a comment.Sep 21 2014, 8:51 PM

I see! Thank you. Very interesting.

I only realized last week that you can add projects to CC, and was wondering what that meant. Now it's clear.

btrahan moved this task from Backlog to Needs A Guide on the Badge Awarded board.Nov 11 2014, 11:14 PM
qgil added a comment.EditedNov 11 2014, 11:19 PM

Meanwhile, the "Subscribe" option doesn't exist anymore. What happened? Do users become subscribers just by joining a project? (that would make sense)

It's only available if you're a member. (This is inconsistent with other applications, but other object types don't have subscription restrictions, so I think it was easier to just remove the option.)

T6183 has the reasoning on this.

It should probably always be visible, but show you a message like "You need to be a member of this project to subscribe to it. Do you want to join?" if it's possible to join it, or "You need to be a member of this project to subscribe to it, but don't have permission to join." if it isn't.

This is probably not difficult technically, but I don't have a particular product solution in mind so I can't spell out how a contributor would approach it.

jdloft added a subscriber: jdloft.Mar 11 2015, 2:18 AM
avivey added a subscriber: avivey.
epriestley closed this task as Resolved.
epriestley claimed this task.

"Subscribe" has been removed entirely, primarily to clarify this distinction. The intent and effect of "Watch" is also now more clear. There is additional guidance available in T10180.

qgil awarded a token.Jan 20 2016, 11:45 AM
urzds added a subscriber: urzds.Jul 12 2017, 11:14 AM